using System;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainWindow()

        /// <summary>
        /// 
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.noneStretchRadioButton.Checked          += stretchRadioButton_Checked;
            this.fillStretchRadioButton.Checked          += stretchRadioButton_Checked;
            this.uniformStretchRadioButton.Checked       += stretchRadioButton_Checked;
            this.uniformToFillStretchRadioButton.Checked += stretchRadioButton_Checked;

            this.noneStretchRadioButton.IsChecked = true;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Stretch  ư üũ óϱ - stretchRadioButton_Checked(sender, e)

        /// <summary>
        /// Stretch  ư üũ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void stretchRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            if(this.image != null)
            {
                string  stretchString = (sender as RadioButton).Content.ToString();
                Stretch stretch       = (Stretch)Enum.Parse(typeof(Stretch), stretchString);

                this.image.Stretch = stretch;
            }
        }

        #endregion
    }
}